<template>
    <v-col cols="12"
           sm="12"
           md="6"
           lg="6"
           class="pb-0">
        <v-card flat
                tile
                class="transparent text-xs-center footer-social-menu">
            <v-card-text class="footer-social-menu-text">
                <span class="footer-social-menu-text-share">Share us with your friends: </span>
                <a v-for="(link, key) in menu"
                   :key="key"
                   :href="link.route"
                   target="_blank">
                    <v-btn
                        icon
                        class="my-2 footer-social-menu-btn-link mx-3 white--text"
                        :class="link.icon">
                        <v-icon size="24px">
                            fa fa-{{ link.icon }}
                        </v-icon>
                    </v-btn>
                </a>
            </v-card-text>
        </v-card>
    </v-col>
</template>

<script>
export default {
    name: 'SocialMediaMenu',
    props: {
        menu: {
            type: Object,
            default: () => { return {} }
        }
    }
}
</script>

<style lang="scss" scoped>
    .footer-social-menu {
        &-text {
            @media(max-width: 575px) {
                display: flex;
            }
            &-share {
                color: #f0f0f0;
            }
        }
        &-btn-link {
            &.facebook {
                background: #4267B2;
                color: #fff;
            }

            &.twitter {
                background: #1DA1F2;
                color: #F5F8FA;
            }

            &.instagram {
                background: #833AB4;
                color: #fff;
            }
        }
    }
</style>
